org.eclipse.viatra.query.runtime.rete.eval

## Class AbstractEvaluatorNode

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.network.StandardNode
    - - org.eclipse.viatra.query.runtime.rete.single.SingleInputNode
      - - org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode

- All Implemented Interfaces:
    IEvaluatorNode, Node, Receiver, Supplier, Tunnel
  Direct Known Subclasses:
    MemorylessEvaluatorNode, OutputCachingEvaluatorNode

      public abstract class AbstractEvaluatorNode
      extends SingleInputNode
      implements IEvaluatorNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EvaluatorCore` | `core`
    `protected IExpressionEvaluator` | `evaluator` Deprecated. use `EvaluationCore`
    `protected org.apache.log4j.Logger` | `logger` Deprecated. use `EvaluationCore`
    `protected IQueryRuntimeContext` | `runtimeContext` Deprecated. use `EvaluationCore`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `mailbox, parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `children`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEvaluatorNode(ReteContainer reteContainer, EvaluatorCore core)`
    `AbstractEvaluatorNode(ReteContainer reteContainer, org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)` Deprecated. use `EvaluationCore`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `errorResult()` Deprecated. use `EvaluationCore`
    `protected java.lang.Object` | `evaluateTerm(Tuple ps)` Deprecated. use `EvaluationCore`
    `ReteContainer` | `getReteContainer()`
    `protected abstract java.lang.String` | `logNodeName()` Deprecated. use `EvaluationCore`
    `java.lang.String` | `prettyPrintTraceInfoPatternList()`
    `protected java.lang.String` | `prettyPrintTuple(Tuple ps)` Deprecated. use `EvaluationCore`
    `protected abstract Tuple` | `tupleFromResult(Tuple incoming, java.lang.Object evaluationresult)` Deprecated. use `EvaluationCore`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getMailbox, getParents, instantiateMailbox, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, issueError, propagateUpdate, removeChild`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, pullInto, removeChild`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Receiver

      `update`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Field Detail

    - #### core

          protected EvaluatorCore core

      Since:
        1.5

    - #### logger

          @Deprecated
          protected org.apache.log4j.Logger logger

      Deprecated. use `EvaluationCore`

    - #### evaluator

          @Deprecated
          protected IExpressionEvaluator evaluator

      Deprecated. use `EvaluationCore`

    - #### runtimeContext

          @Deprecated
          protected IQueryRuntimeContext runtimeContext

      Deprecated. use `EvaluationCore`

  - ### Constructor Detail

    - #### AbstractEvaluatorNode

          public AbstractEvaluatorNode(ReteContainer reteContainer,
                                       EvaluatorCore core)

      Since:
        1.5

    - #### AbstractEvaluatorNode

          @Deprecated
          public AbstractEvaluatorNode(ReteContainer reteContainer,
                                                   org.apache.log4j.Logger logger,
                                                   IExpressionEvaluator evaluator,
                                                   java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                                   int sourceTupleWidth)

      Deprecated. use `EvaluationCore`

  - ### Method Detail

    - #### getReteContainer

          public ReteContainer getReteContainer()

      Specified by:
        `getReteContainer` in interface `IEvaluatorNode`
      Since:
        1.5

    - #### prettyPrintTraceInfoPatternList

          public java.lang.String prettyPrintTraceInfoPatternList()

      Specified by:
        `prettyPrintTraceInfoPatternList` in interface `IEvaluatorNode`
      Since:
        1.5

    - #### tupleFromResult

          @Deprecated
          protected abstract Tuple tupleFromResult(Tuple incoming,
                                                               java.lang.Object evaluationresult)

      Deprecated. use `EvaluationCore`

    - #### logNodeName

          @Deprecated
          protected abstract java.lang.String logNodeName()

      Deprecated. use `EvaluationCore`

    - #### evaluateTerm

          @Deprecated
          protected java.lang.Object evaluateTerm(Tuple ps)

      Deprecated. use `EvaluationCore`

    - #### prettyPrintTuple

          @Deprecated
          protected java.lang.String prettyPrintTuple(Tuple ps)

      Deprecated. use `EvaluationCore`

    - #### errorResult

          @Deprecated
          protected java.lang.Object errorResult()

      Deprecated. use `EvaluationCore`